Name:           oprofileui
Version:        0.2.0
Release:        1%{?dist}
Summary:        OProfileUI is a user interface to the system profiler OProfile

Group:          Development/System
License:        GPLv2
URL:            http://labs.o-hand.com/oprofileui/
Source0:        http://labs.o-hand.com/sources/oprofileui/oprofileui-0.2.0.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

#glib-2.0 libglade-2.0 gtk+-2.0 libxml-2.0 gnome-vfs-2.0 gconf-2.0
BuildRequires:  avahi-devel
BuildRequires:  avahi-glib-devel
BuildRequires:  glib2-devel
BuildRequires:  gtk2-devel >= 2.6.0
BuildRequires:  GConf2-devel
BuildRequires:  libglade2-devel
BuildRequires:  gnome-vfs2-devel
BuildRequires:  libxml2-devel
BuildRequires:  gettext
BuildRequires:  intltool


Requires:       oprofile >= 0.9.4
Requires:       avahi

%description
OProfileUI is a user interface to the stochastic system profiler OProfile, 
providing application developers and system integrators with a graphical view 
of hotspots in their applications and systems.

%prep
%setup -q


%build
%configure --with-avahi
make %{?_smp_mflags}


%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}
rm -rf %{buildroot}%{_datadir}/doc/oprofileui

%clean
rm -rf %{buildroot}


%files 
%defattr(-,root,root,-)
%doc README NEWS INSTALL COPYING AUTHORS ChangeLog
%{_bindir}/oprofile-viewer
%{_bindir}/oprofile-server
%{_bindir}/oparchconv
%{_datadir}/applications/oprofile-viewer.desktop
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/oprofile-viewer.glade
%{_datadir}/icons/hicolor/*

%changelog
* Thu Mar 17 2009 Guido Grazioli <guido.grazioli@gmail.com> 0.2.0-1
- initial packaging
